Subject: "g" in vc-pull buffer runs `compile' instead of `vc-pull'

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 10 May 2012 13:35:43 -0400

C-x C-f emacs/Makefile.in RET
M-x vc-pull RET
After the update finishes press "g" in the buffer created by vc-pull.
It runs `compile', it would be better to run `vc-pull' instead.